// 
// Copyright 2016 Agencia Estatal de Administración Tibutaria
//
// Licencia con arreglo a la EUPL, Versión 1.1 o -en cuanto
// sean aprobadas por la Comisión Europea- versiones
// posteriores de la EUPL (la «Licencia»);
// Solo podrá usarse esta obra si se respeta la Licencia.
// Puede obtenerse una copia de la Licencia en:
//  
// https://joinup.ec.europa.eu/software/page/eupl
//  
// Salvo cuando lo exija la legislación aplicable o se acuerde
// por escrito, el programa distribuido con arreglo a la
// Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
// DE NINGÚN TIPO, ni expresasni implícitas.
//
// Véase la Licencia en el idioma concreto que rige los permisos y 
// limitaciones que establece la Licencia.
// 

using System;
using System.Collections.Generic;
using System.Text;

namespace operador
{
    public class RegistroCatEstadistica
    {
        public int id;
        public string codigo;
        public string categoria;
        public bool favorita = false;
        
        public void leerRegistroCompleto(string s) {
            string[] cs = s.Split('|');
            try {
                id = Int32.Parse(cs[0]);
                codigo = cs[1];
                categoria = cs[2];
            } catch (Exception exc) {
                throw new Exception("Error en registro seriado: " + exc.Message);
            }
        }

        public override string ToString() {
            return categoria;
        }
    }
}
